<?php

/**
 * GetTransactionListApiTest
 * PHP version 7.4
 *
 * @category Class
 * @package  VitexSoftware\Raiffeisenbank
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
/**
 * Production
 *
 * Transaction overview (also for saving accounts). Payments import. Accounts list. Account balance.  Before making a call to Premium API, you need to register your app at our _Developer portal_. At _Developer Portal_ you obtain ClientID that your app must send in the request as `X-IBM-Client-Id`. These are your keys that grant your app access to the API. However, this is not enough, for a successful call your app needs to use mTLS. Thus, you not only need _https_ but also a client certificate issued by us. Each bank client/user can issue several certificates. Each certificate can permit different sets of operations (http methods) on different bank accounts. All this must be configured in Internet Banking first by each bank client/user (bank clients need to look under _Settings_ and do not forget to download the certificate at the last step). The certificate is downloaded in **PKCS#12** format as **\\*.p12** file and protected by a password chosen by the bank client/user. Yes, your app needs the password as well to get use of the **\\*p12** file for establishing mTLS connection to the bank.   Client certificates issued in Internet Banking for bank clients/users have limited validity (e.g. **5 years**). However, **each year** certificates are automatically blocked and bank client/user must unblock them in Internet Banking. It is possible to do it in advance and prolong the time before the certificate is blocked. Your app should be prepared for these scenarios and it should communicate such cases to your user in advance to provide seamless service and high user-experience of your app.  **Note**: Be aware, that in certain error situations, API can return different error structure along with broader set of http status codes, than the one defined below
 *
 * The version of the OpenAPI document: 1.1.20230222
 * Contact: info@vitexsoftware.cz
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.4.0
 */
/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace VitexSoftware\Raiffeisenbank\Test\Api;

use DateTime;
use Ease\Exception;
use PHPUnit\Framework\TestCase;
use VitexSoftware\Raiffeisenbank\ApiClient;
use VitexSoftware\Raiffeisenbank\PremiumAPI\GetTransactionListApi;

/**
 * GetTransactionListApiTest Class Doc Comment
 *
 * @category Class
 * @package  VitexSoftware\Raiffeisenbank
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class GetTransactionListApiTest extends TestCase {

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass(): void {
        
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void {
        
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void {
        
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void {
        
    }

    /**
     * Test case for getTransactionList
     *
     * .
     *
     */
    public function testGetTransactionList() {
        $apiInstance = new GetTransactionListApi(new ApiClient(['cert' => ['./examples/test_cert_ssl3.p12', 'test12345678'], 'mocking' => true]));

        $xRequestId = 'test_call';
        $accountNumber = '1234567890';
        $currencyCode = 'CZK';
        $from = new DateTime();
        $from->modify("-1 days");
        $to = new DateTime();
        $page = 1;

        $result = $apiInstance->getTransactionList($xRequestId, $accountNumber, $currencyCode, $from, $to, $page);
        $this->assertIsArray($result);
    }
}
